Subject: bug#11445: 24.0.96; Customize buffer edit fields should have undo

From: Michael Heerdegen <[email-masked]>
Date: Thu, 03 Jun 2021 17:49:19 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> > C-x u again: "No further undo information".  But that's not expected; if
> > undo worked, the field value would be the default value.
>
> Ah, right -- I can reproduce that, too.

Question is whether it's even well defined to do this differently.

It's not that every text field has its own undo.  Undo stops at points
when widgets changed because undoing further would undo changes
involving widgets, which ones are there, how they look like, etc.  Since
using widgets has side effects (like setting variables or saving) just
undoing anything would potentially lead to an inconsistent state.

How would you address this problem?

Michael.